How to Install system-config-network on CentOS 6.2

In this post, i will share on how to install GUI for network configuration on CentOS 6.2. The mentioned network GUI tools will edit the system configuration files. The result using this GUi is the same with change of configuration files directly. Assume that you have installed minimal installation type CentOS 6.2 and has setup your own local yum repository. You can use internet CentOS yum repository instead if you have direct internet connection to your server.

How to Setup Local Yum Repository from CD-ROM/DVD-ROM image on CentOS 6.2

Without network Gui installed, you will get the following error.

    [root@centos6 ~]# system-config-network
    -bash: /usr/sbin/system-config-network: No such file or directory
    

Please note that you must be the root to install the package.

    [root@centos6 html]# yum install system-config-network-tui
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
     * base: centos.ipserverone.com
     * extras: centos.ipserverone.com
     * updates: centos.ipserverone.com
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package system-config-network-tui.noarch 0:1.6.0.el6.2-1.el6 will be installed
    --> Processing Dependency: usermode for package: system-config-network-tui-1.6.0.el6.2-1.el6.noarch
    --> Processing Dependency: python-iwlib for package: system-config-network-tui-1.6.0.el6.2-1.el6.noarch
    --> Processing Dependency: python-ethtool for package: system-config-network-tui-1.6.0.el6.2-1.el6.noarch
    --> Processing Dependency: pciutils for package: system-config-network-tui-1.6.0.el6.2-1.el6.noarch
    --> Processing Dependency: dbus-python for package: system-config-network-tui-1.6.0.el6.2-1.el6.noarch
    --> Running transaction check
    ---> Package dbus-python.i686 0:0.83.0-6.1.el6 will be installed
    ---> Package pciutils.i686 0:3.1.4-11.el6 will be installed
    ---> Package python-ethtool.i686 0:0.6-1.el6 will be installed
    --> Processing Dependency: libnl.so.1 for package: python-ethtool-0.6-1.el6.i686
    ---> Package python-iwlib.i686 0:0.1-1.2.el6 will be installed
    --> Processing Dependency: wireless-tools >= 28-0.pre8.5 for package: python-iwlib-0.1-1.2.el6.i686
    --> Processing Dependency: libiw.so.29 for package: python-iwlib-0.1-1.2.el6.i686
    ---> Package usermode.i686 0:1.102-3.el6 will be installed
    --> Running transaction check
    ---> Package libnl.i686 0:1.1-14.el6 will be installed
    ---> Package wireless-tools.i686 1:29-5.1.1.el6 will be installed
    --> Processing Dependency: crda for package: 1:wireless-tools-29-5.1.1.el6.i686
    --> Running transaction check
    ---> Package crda.i686 0:1.1.1_2010.11.22-1.el6 will be installed
    --> Processing Dependency: iw for package: crda-1.1.1_2010.11.22-1.el6.i686
    --> Running transaction check
    ---> Package iw.i686 0:0.9.17-4.el6 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ===============================================================================================
     Package                     Arch     Version                     Repository              Size
    ===============================================================================================
    Installing:
     system-config-network-tui   noarch   1.6.0.el6.2-1.el6           CentOS6.2-Repository   1.2 M
    Installing for dependencies:
     crda                        i686     1.1.1_2010.11.22-1.el6      CentOS6.2-Repository    23 k
     dbus-python                 i686     0.83.0-6.1.el6              CentOS6.2-Repository   196 k
     iw                          i686     0.9.17-4.el6                CentOS6.2-Repository    34 k
     libnl                       i686     1.1-14.el6                  CentOS6.2-Repository   123 k
     pciutils                    i686     3.1.4-11.el6                CentOS6.2-Repository    83 k
     python-ethtool              i686     0.6-1.el6                   CentOS6.2-Repository    28 k
     python-iwlib                i686     0.1-1.2.el6                 CentOS6.2-Repository    14 k
     usermode                    i686     1.102-3.el6                 CentOS6.2-Repository   187 k
     wireless-tools              i686     1:29-5.1.1.el6              CentOS6.2-Repository    92 k
    
    Transaction Summary
    ===============================================================================================
    Install      10 Package(s)
    
    Total download size: 2.0 M
    Installed size: 7.2 M
    Is this ok [y/N]: y
    Downloading Packages:
    -----------------------------------------------------------------------------------------------
    Total                                                          7.6 MB/s | 2.0 MB     00:00
    Running rpm_check_debug
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
      Installing : libnl-1.1-14.el6.i686                                                      1/10
      Installing : iw-0.9.17-4.el6.i686                                                       2/10
      Installing : crda-1.1.1_2010.11.22-1.el6.i686                                           3/10
      Installing : 1:wireless-tools-29-5.1.1.el6.i686                                         4/10
      Installing : python-iwlib-0.1-1.2.el6.i686                                              5/10
      Installing : python-ethtool-0.6-1.el6.i686                                              6/10
      Installing : usermode-1.102-3.el6.i686                                                  7/10
      Installing : dbus-python-0.83.0-6.1.el6.i686                                            8/10
      Installing : pciutils-3.1.4-11.el6.i686                                                 9/10
      Installing : system-config-network-tui-1.6.0.el6.2-1.el6.noarch                        10/10
    
    Installed:
      system-config-network-tui.noarch 0:1.6.0.el6.2-1.el6
    
    Dependency Installed:
      crda.i686 0:1.1.1_2010.11.22-1.el6             dbus-python.i686 0:0.83.0-6.1.el6
      iw.i686 0:0.9.17-4.el6                         libnl.i686 0:1.1-14.el6
      pciutils.i686 0:3.1.4-11.el6                   python-ethtool.i686 0:0.6-1.el6
      python-iwlib.i686 0:0.1-1.2.el6                usermode.i686 0:1.102-3.el6
      wireless-tools.i686 1:29-5.1.1.el6
    
    Complete!
    

The GUI Interface will look like this:

CentOS 6.2
CentOS 6.2

How to Install Httpd on CentOS 6.2

Apache httpd is one of the most popular web servers and has a lot of features that make it very extensible and useful for many different types of websites.This steps has been tested on CentOS 6.2. Assume that you have installed minimal installation type CentOS 6.2 and has setup your own local yum repository. You can use internet CentOS yum repository instead if you have direct internet connection to your server.

How to Setup Local Yum Repository from CD-ROM/DVD-ROM image on CentOS 6.2

    [root@centos6 ~]# yum install httpd
    Loaded plugins: fastestmirror
    Determining fastest mirrors
    CentOS6.2-Repository                                                        | 1.3 kB     00:00 ...
    CentOS6.2-Repository/primary                                                | 1.2 MB     00:00 ...
    CentOS6.2-Repository                                                                     3042/3042
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package httpd.i686 0:2.2.15-15.el6.centos will be installed
    --> Processing Dependency: httpd-tools = 2.2.15-15.el6.centos for package: httpd-2.2.15-15.el6.centos.i686
    --> Processing Dependency: libaprutil-1.so.0 for package: httpd-2.2.15-15.el6.centos.i686
    --> Processing Dependency: libapr-1.so.0 for package: httpd-2.2.15-15.el6.centos.i686
    --> Processing Dependency: apr-util-ldap for package: httpd-2.2.15-15.el6.centos.i686
    --> Processing Dependency: /etc/mime.types for package: httpd-2.2.15-15.el6.centos.i686
    --> Running transaction check
    ---> Package apr.i686 0:1.3.9-3.el6_1.2 will be installed
    ---> Package apr-util.i686 0:1.3.9-3.el6_0.1 will be installed
    ---> Package apr-util-ldap.i686 0:1.3.9-3.el6_0.1 will be installed
    ---> Package httpd-tools.i686 0:2.2.15-15.el6.centos will be installed
    ---> Package mailcap.noarch 0:2.1.31-2.el6 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ===================================================================================================
     Package              Arch          Version                      Repository                   Size
    ===================================================================================================
    Installing:
     httpd                i686          2.2.15-15.el6.centos         CentOS6.2-Repository        818 k
    Installing for dependencies:
     apr                  i686          1.3.9-3.el6_1.2              CentOS6.2-Repository        129 k
     apr-util             i686          1.3.9-3.el6_0.1              CentOS6.2-Repository         89 k
     apr-util-ldap        i686          1.3.9-3.el6_0.1              CentOS6.2-Repository         15 k
     httpd-tools          i686          2.2.15-15.el6.centos         CentOS6.2-Repository         70 k
     mailcap              noarch        2.1.31-2.el6                 CentOS6.2-Repository         27 k
    
    Transaction Summary
    ===================================================================================================
    Install       6 Package(s)
    
    Total download size: 1.1 M
    Installed size: 3.4 M
    Is this ok [y/N]: y
    Downloading Packages:
    ---------------------------------------------------------------------------------------------------
    Total                                                              3.8 MB/s | 1.1 MB     00:00
    Running rpm_check_debug
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
    Warning: RPMDB altered outside of yum.
      Installing : mailcap-2.1.31-2.el6.noarch                                                     1/6
      Installing : apr-1.3.9-3.el6_1.2.i686                                                        2/6
      Installing : apr-util-1.3.9-3.el6_0.1.i686                                                   3/6
      Installing : httpd-tools-2.2.15-15.el6.centos.i686                                           4/6
      Installing : apr-util-ldap-1.3.9-3.el6_0.1.i686                                              5/6
      Installing : httpd-2.2.15-15.el6.centos.i686                                                 6/6
    
    Installed:
      httpd.i686 0:2.2.15-15.el6.centos
    
    Dependency Installed:
      apr.i686 0:1.3.9-3.el6_1.2                     apr-util.i686 0:1.3.9-3.el6_0.1
      apr-util-ldap.i686 0:1.3.9-3.el6_0.1           httpd-tools.i686 0:2.2.15-15.el6.centos
      mailcap.noarch 0:2.1.31-2.el6
    
    Complete!
    

How to Install nslookup on CentOS

nslookup is part of the bind-utils package. Without bind-utils package installed, you will get the following error when you try to nslookup any domain:

[root@centos6 ~]# nslookup
-bash: nslookup: command not found

To install the nslookup in CentOS, simply run this command :

[root@centos6 ~]# yum install bind-utils
Loaded plugins: fastestmirror
Determining fastest mirrors
CentOS6.2-Repository                                                  | 1.3 kB     00:00 ...
CentOS6.2-Repository/primary                                          | 1.2 MB     00:00 ...
CentOS6.2-Repository                                                               3042/3042
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package bind-utils.i686 32:9.7.3-8.P3.el6 will be installed
--> Processing Dependency: bind-libs = 32:9.7.3-8.P3.el6 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: liblwres.so.60 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libisccfg.so.62 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libisccc.so.60 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libisc.so.62 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libdns.so.69 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libbind9.so.60 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Running transaction check
---> Package bind-libs.i686 32:9.7.3-8.P3.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================
 Package           Arch        Version                     Repository                   Size
=============================================================================================
Installing:
 bind-utils        i686        32:9.7.3-8.P3.el6           CentOS6.2-Repository        177 k
Installing for dependencies:
 bind-libs         i686        32:9.7.3-8.P3.el6           CentOS6.2-Repository        849 k

Transaction Summary
=============================================================================================
Install       2 Package(s)

Total download size: 1.0 M
Installed size: 2.6 M
Is this ok [y/N]: n
Exiting on user Command
[root@centos6 ~]# nslookup
-bash: nslookup: command not found
[root@centos6 ~]# yum install bind-utils
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package bind-utils.i686 32:9.7.3-8.P3.el6 will be installed
--> Processing Dependency: bind-libs = 32:9.7.3-8.P3.el6 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: liblwres.so.60 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libisccfg.so.62 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libisccc.so.60 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libisc.so.62 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libdns.so.69 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Processing Dependency: libbind9.so.60 for package: 32:bind-utils-9.7.3-8.P3.el6.i686
--> Running transaction check
---> Package bind-libs.i686 32:9.7.3-8.P3.el6 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

=============================================================================================
 Package           Arch        Version                     Repository                   Size
=============================================================================================
Installing:
 bind-utils        i686        32:9.7.3-8.P3.el6           CentOS6.2-Repository        177 k
Installing for dependencies:
 bind-libs         i686        32:9.7.3-8.P3.el6           CentOS6.2-Repository        849 k

Transaction Summary
=============================================================================================
Install       2 Package(s)

Total download size: 1.0 M
Installed size: 2.6 M
Is this ok [y/N]: y
Downloading Packages:
---------------------------------------------------------------------------------------------
Total                                                        6.1 MB/s | 1.0 MB     00:00
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : 32:bind-libs-9.7.3-8.P3.el6.i686                                          1/2
  Installing : 32:bind-utils-9.7.3-8.P3.el6.i686                                         2/2

Installed:
  bind-utils.i686 32:9.7.3-8.P3.el6

Dependency Installed:
  bind-libs.i686 32:9.7.3-8.P3.el6

Complete!

Now you can start use nslookup:

[root@centos6 ~]# nslookup
> www.google.com
Server:         8.8.8.8
Address:        8.8.8.8#53

Non-authoritative answer:
www.google.com  canonical name = www.l.google.com.
Name:   www.l.google.com
Address: 209.85.175.105
Name:   www.l.google.com
Address: 209.85.175.106
Name:   www.l.google.com
Address: 209.85.175.147
Name:   www.l.google.com
Address: 209.85.175.99
Name:   www.l.google.com
Address: 209.85.175.103
Name:   www.l.google.com
Address: 209.85.175.104
> set type=ns
> www.google.com
Server:         8.8.8.8
Address:        8.8.8.8#53

Non-authoritative answer:
www.google.com  canonical name = www.l.google.com.

Authoritative answers can be found from:
l.google.com
        origin = ns1.google.com
        mail addr = dns-admin.google.com
        serial = 1473322
        refresh = 900
        retry = 900
        expire = 1800
        minimum = 60
>

How to Change the Current Date and Time on CentOS 6.2

Symptom:
My CentOS 6.2 time is not correct.

Solution:
Change the current time manually as below:

1. To display the current:

    [root@centos6 ~]# date
    Fri Jan  6 11:28:23 MYT 2012
    

2. To Change the current date:

    [root@centos6 ~]# date 010611272012
    Fri Jan  6 11:27:00 MYT 2012
    
    MM - Two digit month number
    DD - Two digit date
    hh - Two digit 24 hour system hour
    mm - Two digit minute
    YYYY - Four digit year code
    

How to Uninstall Webmin on CentOS 6.2

In this post, i will guide on how to properly remove the Webmin package.

Check the webmin installed version, so that you can easily remove the package by specified exact package name.

    [root@centos6 ~]# rpm -qa webmin
    webmin-1.570-1.noarch
    

Remove rpm package using this command :

    [root@centos6 ~]# rpm -e webmin-1.570-1.noarch
    Running uninstall scripts ..
    Deleted init script /etc/rc.d/init.d/webmin
    Subroutine list_servers redefined at /usr/libexec/webmin/servers/servers-lib.pl line 91.
    Subroutine list_servers_sorted redefined at /usr/libexec/webmin/servers/servers-lib.pl line 110.
    Subroutine get_server redefined at /usr/libexec/webmin/servers/servers-lib.pl line 142.
    Subroutine save_server redefined at /usr/libexec/webmin/servers/servers-lib.pl line 157.
    Subroutine delete_server redefined at /usr/libexec/webmin/servers/servers-lib.pl line 174.
    Subroutine can_use_server redefined at /usr/libexec/webmin/servers/servers-lib.pl line 187.
    Subroutine list_all_groups redefined at /usr/libexec/webmin/servers/servers-lib.pl line 207.
    Subroutine logged_in redefined at /usr/libexec/webmin/servers/servers-lib.pl line 275.
    Subroutine get_server_types redefined at /usr/libexec/webmin/servers/servers-lib.pl line 300.
    Subroutine this_server redefined at /usr/libexec/webmin/servers/servers-lib.pl line 310.
    Subroutine get_my_address redefined at /usr/libexec/webmin/servers/servers-lib.pl line 329.
    Subroutine address_to_broadcast redefined at /usr/libexec/webmin/servers/servers-lib.pl line 358.
    Subroutine test_server redefined at /usr/libexec/webmin/servers/servers-lib.pl line 372.
    Subroutine find_cron_job redefined at /usr/libexec/webmin/servers/servers-lib.pl line 391.
    Subroutine find_servers redefined at /usr/libexec/webmin/servers/servers-lib.pl line 404.
    

How to Install Perl in CentOS 6.2

When you try to install the rpm packages that was depend on the perl, you will get this error. The best practice is to check up if perl is already installed on your server before start the installation for the software that depend on perl to run.

Symptom :

    [root@centos6 ~]# rpm -U webmin-1.570-1.noarch.rpm
    warning: webmin-1.570-1.noarch.rpm: Header V3 DSA/SHA1 Signature, key ID 11f63c51: NOKEY
    error: Failed dependencies:
            /usr/bin/perl is needed by webmin-1.570-1.noarch
    

This is how you fix this problem. This command will install the perl and the dependencies.

    [root@centos6 ~]# yum install perl
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
     * base: mirrors.hostemo.com
     * extras: mirrors.hostemo.com
     * updates: mirrors.hostemo.com
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package perl.i686 4:5.10.1-119.el6_1.1 will be installed
    --> Processing Dependency: perl-libs = 4:5.10.1-119.el6_1.1 for package: 4:perl-5.10.1-119.el6_1.1.i686
    --> Processing Dependency: perl-libs for package: 4:perl-5.10.1-119.el6_1.1.i686
    --> Processing Dependency: perl(Pod::Simple) for package: 4:perl-5.10.1-119.el6_1.1.i686
    --> Processing Dependency: libperl.so for package: 4:perl-5.10.1-119.el6_1.1.i686
    --> Processing Dependency: perl(version) for package: 4:perl-5.10.1-119.el6_1.1.i686
    --> Processing Dependency: perl(Module::Pluggable) for package: 4:perl-5.10.1-119.el6_1.1.i686
    --> Running transaction check
    ---> Package perl-Module-Pluggable.i686 1:3.90-119.el6_1.1 will be installed
    ---> Package perl-Pod-Simple.i686 1:3.13-119.el6_1.1 will be installed
    --> Processing Dependency: perl(Pod::Escapes) >= 1.04 for package: 1:perl-Pod-Simple-3.13-119.el6_1.1.i686
    ---> Package perl-libs.i686 4:5.10.1-119.el6_1.1 will be installed
    ---> Package perl-version.i686 3:0.77-119.el6_1.1 will be installed
    --> Running transaction check
    ---> Package perl-Pod-Escapes.i686 1:1.04-119.el6_1.1 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ================================================================================================
     Package                        Arch          Version                       Repository     Size
    ================================================================================================
    Installing:
     perl                           i686          4:5.10.1-119.el6_1.1          base          9.7 M
    Installing for dependencies:
     perl-Module-Pluggable          i686          1:3.90-119.el6_1.1            base           37 k
     perl-Pod-Escapes               i686          1:1.04-119.el6_1.1            base           30 k
     perl-Pod-Simple                i686          1:3.13-119.el6_1.1            base          209 k
     perl-libs                      i686          4:5.10.1-119.el6_1.1          base          590 k
     perl-version                   i686          3:0.77-119.el6_1.1            base           49 k
    
    Transaction Summary
    ================================================================================================
    Install       6 Package(s)
    
    Total download size: 11 M
    Installed size: 30 M
    Is this ok [y/N]: y
    Downloading Packages:
    (1/6): perl-5.10.1-119.el6_1.1.i686.rpm                                  | 9.7 MB     02:26
    (2/6): perl-Module-Pluggable-3.90-119.el6_1.1.i686.rpm                   |  37 kB     00:00
    (3/6): perl-Pod-Escapes-1.04-119.el6_1.1.i686.rpm                        |  30 kB     00:00
    (4/6): perl-Pod-Simple-3.13-119.el6_1.1.i686.rpm                         | 209 kB     00:03
    (5/6): perl-libs-5.10.1-119.el6_1.1.i686.rpm                             | 590 kB     00:09
    (6/6): perl-version-0.77-119.el6_1.1.i686.rpm                            |  49 kB     00:00
    ------------------------------------------------------------------------------------------------
    Total                                                            67 kB/s |  11 MB     02:41
    Running rpm_check_debug
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
      Installing : 1:perl-Pod-Escapes-1.04-119.el6_1.1.i686                                     1/6
      Installing : 3:perl-version-0.77-119.el6_1.1.i686                                         2/6
      Installing : 4:perl-libs-5.10.1-119.el6_1.1.i686                                          3/6
      Installing : 1:perl-Pod-Simple-3.13-119.el6_1.1.i686                                      4/6
      Installing : 1:perl-Module-Pluggable-3.90-119.el6_1.1.i686                                5/6
      Installing : 4:perl-5.10.1-119.el6_1.1.i686                                               6/6
    
    Installed:
      perl.i686 4:5.10.1-119.el6_1.1
    
    Dependency Installed:
      perl-Module-Pluggable.i686 1:3.90-119.el6_1.1     perl-Pod-Escapes.i686 1:1.04-119.el6_1.1
      perl-Pod-Simple.i686 1:3.13-119.el6_1.1           perl-libs.i686 4:5.10.1-119.el6_1.1
      perl-version.i686 3:0.77-119.el6_1.1
    
    Complete!
    

Check the installed perl version using this command:

    [root@centos6 ~]# rpm -qa perl
    perl-5.10.1-119.el6_1.1.i686
    

How to Install wget on CentOS 6.2

If your CentOS 6.2 server has been installed with minimal installation, wget command will not exist. Wget is a free network utility for linux to download files from the Web. Therefore, there is simple step to install the wget command utility into your CentOS 6.2 server.

Symptom/error message:

    [root@centos6 ~]# wget http://prdownloads.sourceforge.net/webadmin/webmin-1.570-1.noarch.rpm
    bash: wget: command not found
    

Install wget using yum install command:

    [root@centos6 ~]# yum install wget
    Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
     * base: mirror.issp.co.th
     * extras: mirror.yourconnect.com
     * updates: mirror.yourconnect.com
    base                                                                     | 3.7 kB     00:00
    extras                                                                   | 3.5 kB     00:00
    updates                                                                  | 3.5 kB     00:00
    Setting up Install Process
    Resolving Dependencies
    --> Running transaction check
    ---> Package wget.i686 0:1.12-1.4.el6 will be installed
    --> Finished Dependency Resolution
    
    Dependencies Resolved
    
    ================================================================================================
     Package             Arch                Version                      Repository           Size
    ================================================================================================
    Installing:
     wget                i686                1.12-1.4.el6                 base                481 k
    
    Transaction Summary
    ================================================================================================
    Install       1 Package(s)
    
    Total download size: 481 k
    Installed size: 1.8 M
    Is this ok [y/N]: y
    Downloading Packages:
    wget-1.12-1.4.el6.i686.rpm                                               | 481 kB     00:04
    warning: rpmts_HdrFromFdno: Header V3 RSA/SHA256 Signature, key ID c105b9de: NOKEY
    Retrieving key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
    Importing GPG key 0xC105B9DE:
     Userid : CentOS-6 Key (CentOS 6 Official Signing Key) 
     Package: centos-release-6-2.el6.centos.7.i686 (@anaconda-CentOS-201112130233.i386/6.2)
     From   : /etc/pki/rpm-gpg/RPM-GPG-KEY-CentOS-6
    Is this ok [y/N]: y
    Running rpm_check_debug
    Running Transaction Test
    Transaction Test Succeeded
    Running Transaction
    Warning: RPMDB altered outside of yum.
      Installing : wget-1.12-1.4.el6.i686                                                       1/1
    
    Installed:
      wget.i686 0:1.12-1.4.el6
    
    Complete!